<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:39 CEST 2019 -->
<title>All Classes (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<h1 class="bar">All&nbsp;Classes</h1>
<div class="indexContainer">
<ul>
<li><a href="org/firebirdsql/gds/ng/AbstractAttachProperties.html" title="class in org.firebirdsql.gds.ng">AbstractAttachProperties</a></li>
<li><a href="org/firebirdsql/jdbc/AbstractCallableStatement.html" title="class in org.firebirdsql.jdbc">AbstractCallableStatement</a></li>
<li><a href="org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a></li>
<li><a href="org/firebirdsql/gds/ng/AbstractEventHandle.html" title="class in org.firebirdsql.gds.ng">AbstractEventHandle</a></li>
<li><a href="org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a></li>
<li><a href="org/firebirdsql/gds/ng/AbstractFbBlob.html" title="class in org.firebirdsql.gds.ng">AbstractFbBlob</a></li>
<li><a href="org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng">AbstractFbDatabase</a></li>
<li><a href="org/firebirdsql/gds/ng/AbstractFbService.html" title="class in org.firebirdsql.gds.ng">AbstractFbService</a></li>
<li><a href="org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></li>
<li><a href="org/firebirdsql/gds/ng/AbstractFbTransaction.html" title="class in org.firebirdsql.gds.ng">AbstractFbTransaction</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireBlob</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireDatabase</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/AbstractFbWireInputBlob.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireInputBlob</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/AbstractFbWireOutputBlob.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireOutputBlob</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/AbstractFbWireService.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireService</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireStatement</a></li>
<li><a href="org/firebirdsql/jdbc/AbstractFieldMetaData.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData</a></li>
<li><a href="org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.ExtendedFieldInfo</a></li>
<li><a href="org/firebirdsql/jdbc/AbstractFieldMetaData.FieldKey.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.FieldKey</a></li>
<li><a href="org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="class in org.firebirdsql.gds.ng">AbstractImmutableAttachProperties</a></li>
<li><a href="org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">AbstractListenerDispatcher</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/AbstractNativeDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.jna">AbstractNativeDatabaseFactory</a></li>
<li><a href="org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="class in org.firebirdsql.gds.ng">AbstractParameterConverter</a></li>
<li><a href="org/firebirdsql/jdbc/AbstractPreparedStatement.html" title="class in org.firebirdsql.jdbc">AbstractPreparedStatement</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html" title="class in org.firebirdsql.gds.ng.wire">AbstractProtocolDescriptor</a></li>
<li><a href="org/firebirdsql/jdbc/AbstractResultSet.html" title="class in org.firebirdsql.jdbc">AbstractResultSet</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/auth/srp/AbstractSrpAuthenticationPluginSpi.html" title="class in org.firebirdsql.gds.ng.wire.auth.srp">AbstractSrpAuthenticationPluginSpi</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/AbstractWireOperations.html" title="class in org.firebirdsql.gds.ng.wire">AbstractWireOperations</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/crypt/arc4/Arc4EncryptionPlugin.html" title="class in org.firebirdsql.gds.ng.wire.crypt.arc4">Arc4EncryptionPlugin</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/crypt/arc4/Arc4EncryptionPluginSpi.html" title="class in org.firebirdsql.gds.ng.wire.crypt.arc4">Arc4EncryptionPluginSpi</a></li>
<li><a href="org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">Argument</a></li>
<li><a href="org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="interfaceName">AsynchronousChannelListener</span></a></li>
<li><a href="org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.Event.html" title="class in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener.Event</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/AsynchronousChannelListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.wire">AsynchronousChannelListenerDispatcher</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/AsynchronousProcessor.html" title="class in org.firebirdsql.gds.ng.wire">AsynchronousProcessor</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/auth/AuthenticationPlugin.html" title="interface in org.firebirdsql.gds.ng.wire.auth"><span class="interfaceName">AuthenticationPlugin</span></a></li>
<li><a href="org/firebirdsql/gds/ng/wire/auth/AuthenticationPlugin.AuthStatus.html" title="enum in org.firebirdsql.gds.ng.wire.auth">AuthenticationPlugin.AuthStatus</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/auth/AuthenticationPluginSpi.html" title="interface in org.firebirdsql.gds.ng.wire.auth"><span class="interfaceName">AuthenticationPluginSpi</span></a></li>
<li><a href="org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management"><span class="interfaceName">BackupManager</span></a></li>
<li><a href="org/firebirdsql/util/Base64Decoder.html" title="interface in org.firebirdsql.util"><span class="interfaceName">Base64Decoder</span></a></li>
<li><a href="org/firebirdsql/util/Base64DecoderImpl.html" title="class in org.firebirdsql.util">Base64DecoderImpl</a></li>
<li><a href="org/firebirdsql/gds/impl/BaseGDSFactoryPlugin.html" title="class in org.firebirdsql.gds.impl">BaseGDSFactoryPlugin</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/BigEndianDatatypeCoder.html" title="class in org.firebirdsql.gds.ng.jna">BigEndianDatatypeCoder</a></li>
<li><a href="org/firebirdsql/gds/impl/argument/BigIntArgument.html" title="class in org.firebirdsql.gds.impl.argument">BigIntArgument</a></li>
<li><a href="org/firebirdsql/gds/ng/BlobLengthProcessor.html" title="class in org.firebirdsql.gds.ng">BlobLengthProcessor</a></li>
<li><a href="org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="interfaceName">BlobParameterBuffer</span></a></li>
<li><a href="org/firebirdsql/gds/impl/BlobParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">BlobParameterBufferImp</a></li>
<li><a href="org/firebirdsql/gds/ng/fields/BlrCalculator.html" title="interface in org.firebirdsql.gds.ng.fields"><span class="interfaceName">BlrCalculator</span></a></li>
<li><a href="org/firebirdsql/gds/BlrConstants.html" title="interface in org.firebirdsql.gds"><span class="interfaceName">BlrConstants</span></a></li>
<li><a href="org/firebirdsql/gds/impl/argument/ByteArrayArgument.html" title="class in org.firebirdsql.gds.impl.argument">ByteArrayArgument</a></li>
<li><a href="org/firebirdsql/util/ByteArrayHelper.html" title="class in org.firebirdsql.util">ByteArrayHelper</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html" title="class in org.firebirdsql.gds.ng.wire.auth">ClientAuthBlock</a></li>
<li><a href="org/firebirdsql/gds/ClumpletReader.html" title="class in org.firebirdsql.gds">ClumpletReader</a></li>
<li><a href="org/firebirdsql/gds/ClumpletReader.ClumpletType.html" title="enum in org.firebirdsql.gds">ClumpletReader.ClumpletType</a></li>
<li><a href="org/firebirdsql/gds/ClumpletReader.Kind.html" title="enum in org.firebirdsql.gds">ClumpletReader.Kind</a></li>
<li><a href="org/firebirdsql/jdbc/CompletionReason.html" title="enum in org.firebirdsql.jdbc">CompletionReason</a></li>
<li><a href="org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="interfaceName">ConnectionParameterBuffer</span></a></li>
<li><a href="org/firebirdsql/event/DatabaseEvent.html" title="interface in org.firebirdsql.event"><span class="interfaceName">DatabaseEvent</span></a></li>
<li><a href="org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><span class="interfaceName">DatabaseListener</span></a></li>
<li><a href="org/firebirdsql/gds/ng/listeners/DatabaseListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">DatabaseListenerDispatcher</a></li>
<li><a href="org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="interfaceName">DatabaseParameterBuffer</span></a></li>
<li><a href="org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" title="interface in org.firebirdsql.gds.impl"><span class="interfaceName">DatabaseParameterBufferExtension</span></a></li>
<li><a href="org/firebirdsql/gds/impl/DatabaseParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">DatabaseParameterBufferImp</a></li>
<li><a href="org/firebirdsql/gds/impl/DatabaseParameterBufferImp.DpbMetaData.html" title="enum in org.firebirdsql.gds.impl">DatabaseParameterBufferImp.DpbMetaData</a></li>
<li><a href="org/firebirdsql/ds/DataSourceFactory.html" title="class in org.firebirdsql.ds">DataSourceFactory</a></li>
<li><a href="org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">DatatypeCoder</span></a></li>
<li><a href="org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a></li>
<li><a href="org/firebirdsql/gds/impl/DbAttachInfo.html" title="class in org.firebirdsql.gds.impl">DbAttachInfo</a></li>
<li><a href="org/firebirdsql/gds/ng/dbcrypt/DbCryptCallback.html" title="interface in org.firebirdsql.gds.ng.dbcrypt"><span class="interfaceName">DbCryptCallback</span></a></li>
<li><a href="org/firebirdsql/gds/ng/dbcrypt/DbCryptCallbackSpi.html" title="interface in org.firebirdsql.gds.ng.dbcrypt"><span class="interfaceName">DbCryptCallbackSpi</span></a></li>
<li><a href="org/firebirdsql/gds/ng/dbcrypt/DbCryptData.html" title="class in org.firebirdsql.gds.ng.dbcrypt">DbCryptData</a></li>
<li><a href="org/firebirdsql/extern/decimal/Decimal.html" title="class in org.firebirdsql.extern.decimal">Decimal</a></li>
<li><a href="org/firebirdsql/extern/decimal/Decimal128.html" title="class in org.firebirdsql.extern.decimal">Decimal128</a></li>
<li><a href="org/firebirdsql/extern/decimal/Decimal32.html" title="class in org.firebirdsql.extern.decimal">Decimal32</a></li>
<li><a href="org/firebirdsql/extern/decimal/Decimal64.html" title="class in org.firebirdsql.extern.decimal">Decimal64</a></li>
<li><a href="org/firebirdsql/extern/decimal/DecimalInconvertibleException.html" title="class in org.firebirdsql.extern.decimal">DecimalInconvertibleException</a></li>
<li><a href="org/firebirdsql/extern/decimal/DecimalOverflowException.html" title="class in org.firebirdsql.extern.decimal">DecimalOverflowException</a></li>
<li><a href="org/firebirdsql/extern/decimal/DecimalType.html" title="enum in org.firebirdsql.extern.decimal">DecimalType</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/DefaultBlrCalculator.html" title="class in org.firebirdsql.gds.ng.wire">DefaultBlrCalculator</a></li>
<li><a href="org/firebirdsql/gds/ng/listeners/DefaultDatabaseListener.html" title="class in org.firebirdsql.gds.ng.listeners">DefaultDatabaseListener</a></li>
<li><a href="org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></li>
<li><a href="org/firebirdsql/encodings/DefaultEncodingDefinition.html" title="class in org.firebirdsql.encodings">DefaultEncodingDefinition</a></li>
<li><a href="org/firebirdsql/encodings/DefaultEncodingSet.html" title="class in org.firebirdsql.encodings">DefaultEncodingSet</a></li>
<li><a href="org/firebirdsql/jdbc/field/DefaultObjectConverter.html" title="class in org.firebirdsql.jdbc.field">DefaultObjectConverter</a></li>
<li><a href="org/firebirdsql/gds/ng/listeners/DefaultStatementListener.html" title="class in org.firebirdsql.gds.ng.listeners">DefaultStatementListener</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/DeferredAction.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="interfaceName">DeferredAction</span></a></li>
<li><a href="org/firebirdsql/extern/decimal/DenselyPackedDecimalCodec.html" title="class in org.firebirdsql.extern.decimal">DenselyPackedDecimalCodec</a></li>
<li><a href="org/firebirdsql/gds/impl/jni/EmbeddedGDSFactoryPlugin.html" title="class in org.firebirdsql.gds.impl.jni">EmbeddedGDSFactoryPlugin</a></li>
<li><a href="org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><span class="interfaceName">Encoding</span></a></li>
<li><a href="org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><span class="interfaceName">EncodingDefinition</span></a></li>
<li><a href="org/firebirdsql/encodings/EncodingFactory.html" title="class in org.firebirdsql.encodings">EncodingFactory</a></li>
<li><a href="org/firebirdsql/encodings/EncodingSet.html" title="interface in org.firebirdsql.encodings"><span class="interfaceName">EncodingSet</span></a></li>
<li><a href="org/firebirdsql/gds/ng/EncodingSpecificDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">EncodingSpecificDatatypeCoder</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/crypt/EncryptionIdentifier.html" title="class in org.firebirdsql.gds.ng.wire.crypt">EncryptionIdentifier</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/crypt/EncryptionInitInfo.html" title="class in org.firebirdsql.gds.ng.wire.crypt">EncryptionInitInfo</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/crypt/EncryptionInitInfo.InitResult.html" title="enum in org.firebirdsql.gds.ng.wire.crypt">EncryptionInitInfo.InitResult</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/crypt/EncryptionPlugin.html" title="interface in org.firebirdsql.gds.ng.wire.crypt"><span class="interfaceName">EncryptionPlugin</span></a></li>
<li><a href="org/firebirdsql/gds/ng/wire/crypt/EncryptionPluginSpi.html" title="interface in org.firebirdsql.gds.ng.wire.crypt"><span class="interfaceName">EncryptionPluginSpi</span></a></li>
<li><a href="org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds"><span class="interfaceName">EventHandle</span></a></li>
<li><a href="org/firebirdsql/gds/EventHandler.html" title="interface in org.firebirdsql.gds"><span class="interfaceName">EventHandler</span></a></li>
<li><a href="org/firebirdsql/event/EventListener.html" title="interface in org.firebirdsql.event"><span class="interfaceName">EventListener</span></a></li>
<li><a href="org/firebirdsql/event/EventManager.html" title="interface in org.firebirdsql.event"><span class="interfaceName">EventManager</span></a></li>
<li><a href="org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners"><span class="interfaceName">ExceptionListenable</span></a></li>
<li><a href="org/firebirdsql/gds/ng/listeners/ExceptionListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><span class="interfaceName">ExceptionListener</span></a></li>
<li><a href="org/firebirdsql/gds/ng/listeners/ExceptionListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">ExceptionListenerDispatcher</a></li>
<li><a href="org/firebirdsql/gds/ng/ExecutionPlanProcessor.html" title="class in org.firebirdsql.gds.ng">ExecutionPlanProcessor</a></li>
<li><a href="org/firebirdsql/ds/FBAbstractCommonDataSource.html" title="class in org.firebirdsql.ds">FBAbstractCommonDataSource</a></li>
<li><a href="org/firebirdsql/jdbc/FBArray.html" title="class in org.firebirdsql.jdbc">FBArray</a></li>
<li><a href="org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">FbAttachment</span></a></li>
<li><a href="org/firebirdsql/management/FBBackupManager.html" title="class in org.firebirdsql.management">FBBackupManager</a></li>
<li><a href="org/firebirdsql/management/FBBackupManagerBase.html" title="class in org.firebirdsql.management">FBBackupManagerBase</a></li>
<li><a href="org/firebirdsql/management/FBBackupManagerBase.PathSizeStruct.html" title="class in org.firebirdsql.management">FBBackupManagerBase.PathSizeStruct</a></li>
<li><a href="org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">FbBlob</span></a></li>
<li><a href="org/firebirdsql/jdbc/FBBlob.html" title="class in org.firebirdsql.jdbc">FBBlob</a></li>
<li><a href="org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a></li>
<li><a href="org/firebirdsql/jdbc/FBBlobInputStream.html" title="class in org.firebirdsql.jdbc">FBBlobInputStream</a></li>
<li><a href="org/firebirdsql/jdbc/FBBlobOutputStream.html" title="class in org.firebirdsql.jdbc">FBBlobOutputStream</a></li>
<li><a href="org/firebirdsql/jdbc/FBCachedBlob.html" title="class in org.firebirdsql.jdbc">FBCachedBlob</a></li>
<li><a href="org/firebirdsql/jdbc/field/FBCachedClob.html" title="class in org.firebirdsql.jdbc.field">FBCachedClob</a></li>
<li><a href="org/firebirdsql/jdbc/FBCallableStatement.html" title="class in org.firebirdsql.jdbc">FBCallableStatement</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/FbClientDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.jna">FbClientDatabaseFactory</a></li>
<li><a href="org/firebirdsql/jna/fbclient/FbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient"><span class="interfaceName">FbClientLibrary</span></a></li>
<li><a href="org/firebirdsql/jna/fbclient/FbClientLibrary.FbShutdownCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="interfaceName">FbClientLibrary.FbShutdownCallback</span></a></li>
<li><a href="org/firebirdsql/jna/fbclient/FbClientLibrary.IscEventCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="interfaceName">FbClientLibrary.IscEventCallback</span></a></li>
<li><a href="org/firebirdsql/jdbc/FBClob.html" title="class in org.firebirdsql.jdbc">FBClob</a></li>
<li><a href="org/firebirdsql/management/FBCommandLine.html" title="class in org.firebirdsql.management">FBCommandLine</a></li>
<li><a href="org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a></li>
<li><a href="org/firebirdsql/jdbc/FBConnectionDefaults.html" title="class in org.firebirdsql.jdbc">FBConnectionDefaults</a></li>
<li><a href="org/firebirdsql/ds/FBConnectionPoolDataSource.html" title="class in org.firebirdsql.ds">FBConnectionPoolDataSource</a></li>
<li><a href="org/firebirdsql/gds/ng/FbConnectionProperties.html" title="class in org.firebirdsql.gds.ng">FbConnectionProperties</a></li>
<li><a href="org/firebirdsql/jdbc/FBConnectionProperties.html" title="class in org.firebirdsql.jdbc">FBConnectionProperties</a></li>
<li><a href="org/firebirdsql/jca/FBConnectionRequestInfo.html" title="class in org.firebirdsql.jca">FBConnectionRequestInfo</a></li>
<li><a href="org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">FbDatabase</span></a></li>
<li><a href="org/firebirdsql/gds/ng/FbDatabaseFactory.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">FbDatabaseFactory</span></a></li>
<li><a href="org/firebirdsql/jdbc/FBDatabaseMetaData.html" title="class in org.firebirdsql.jdbc">FBDatabaseMetaData</a></li>
<li><a href="org/firebirdsql/jdbc/FBDatabaseMetaData.Clause.html" title="class in org.firebirdsql.jdbc">FBDatabaseMetaData.Clause</a></li>
<li><a href="org/firebirdsql/jdbc/FBDataSource.html" title="class in org.firebirdsql.jdbc">FBDataSource</a></li>
<li><a href="org/firebirdsql/jdbc/FBDriver.html" title="class in org.firebirdsql.jdbc">FBDriver</a></li>
<li><a href="org/firebirdsql/jdbc/FBDriverConsistencyCheckException.html" title="class in org.firebirdsql.jdbc">FBDriverConsistencyCheckException</a></li>
<li><a href="org/firebirdsql/jdbc/FBDriverNotCapableException.html" title="class in org.firebirdsql.jdbc">FBDriverNotCapableException</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/FbEmbeddedDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.jna">FbEmbeddedDatabaseFactory</a></li>
<li><a href="org/firebirdsql/jdbc/escape/FBEscapedCallParser.html" title="class in org.firebirdsql.jdbc.escape">FBEscapedCallParser</a></li>
<li><a href="org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html" title="class in org.firebirdsql.jdbc.escape">FBEscapedFunctionHelper</a></li>
<li><a href="org/firebirdsql/jdbc/escape/FBEscapedParser.html" title="class in org.firebirdsql.jdbc.escape">FBEscapedParser</a></li>
<li><a href="org/firebirdsql/jdbc/escape/FBEscapedParser.EscapeParserMode.html" title="enum in org.firebirdsql.jdbc.escape">FBEscapedParser.EscapeParserMode</a></li>
<li><a href="org/firebirdsql/event/FBEventManager.html" title="class in org.firebirdsql.event">FBEventManager</a></li>
<li><a href="org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a></li>
<li><a href="org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></li>
<li><a href="org/firebirdsql/jdbc/field/FBFlushableField.html" title="interface in org.firebirdsql.jdbc.field"><span class="interfaceName">FBFlushableField</span></a></li>
<li><a href="org/firebirdsql/jdbc/field/FBFlushableField.CachedObject.html" title="class in org.firebirdsql.jdbc.field">FBFlushableField.CachedObject</a></li>
<li><a href="org/firebirdsql/gds/ng/FbImmutableConnectionProperties.html" title="class in org.firebirdsql.gds.ng">FbImmutableConnectionProperties</a></li>
<li><a href="org/firebirdsql/gds/ng/FbImmutableServiceProperties.html" title="class in org.firebirdsql.gds.ng">FbImmutableServiceProperties</a></li>
<li><a href="org/firebirdsql/jca/FBIncorrectXidException.html" title="class in org.firebirdsql.jca">FBIncorrectXidException</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/FbLocalDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.jna">FbLocalDatabaseFactory</a></li>
<li><a href="org/firebirdsql/jca/FBLocalTransaction.html" title="class in org.firebirdsql.jca">FBLocalTransaction</a></li>
<li><a href="org/firebirdsql/jca/FBLocalTransaction.FBLocalXid.html" title="class in org.firebirdsql.jca">FBLocalTransaction.FBLocalXid</a></li>
<li><a href="org/firebirdsql/jdbc/field/FBLongVarCharField.html" title="class in org.firebirdsql.jdbc.field">FBLongVarCharField</a></li>
<li><a href="org/firebirdsql/management/FBMaintenanceManager.html" title="class in org.firebirdsql.management">FBMaintenanceManager</a></li>
<li><a href="org/firebirdsql/jca/FBManagedConnection.html" title="class in org.firebirdsql.jca">FBManagedConnection</a></li>
<li><a href="org/firebirdsql/jca/FBManagedConnectionFactory.html" title="class in org.firebirdsql.jca">FBManagedConnectionFactory</a></li>
<li><a href="org/firebirdsql/jca/FBManagedConnectionMetaData.html" title="class in org.firebirdsql.jca">FBManagedConnectionMetaData</a></li>
<li><a href="org/firebirdsql/management/FBManager.html" title="class in org.firebirdsql.management">FBManager</a></li>
<li><a href="org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management"><span class="interfaceName">FBManagerMBean</span></a></li>
<li><a href="org/firebirdsql/jdbc/FBMissingParameterException.html" title="class in org.firebirdsql.jdbc">FBMissingParameterException</a></li>
<li><a href="org/firebirdsql/management/FBNBackupManager.html" title="class in org.firebirdsql.management">FBNBackupManager</a></li>
<li><a href="org/firebirdsql/jdbc/FBObjectListener.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FBObjectListener</span></a></li>
<li><a href="org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FBObjectListener.BlobListener</span></a></li>
<li><a href="org/firebirdsql/jdbc/FBObjectListener.FetcherListener.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FBObjectListener.FetcherListener</span></a></li>
<li><a href="org/firebirdsql/jdbc/FBObjectListener.NoActionBlobListener.html" title="class in org.firebirdsql.jdbc">FBObjectListener.NoActionBlobListener</a></li>
<li><a href="org/firebirdsql/jdbc/FBObjectListener.NoActionResultSetListener.html" title="class in org.firebirdsql.jdbc">FBObjectListener.NoActionResultSetListener</a></li>
<li><a href="org/firebirdsql/jdbc/FBObjectListener.ResultSetListener.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FBObjectListener.ResultSetListener</span></a></li>
<li><a href="org/firebirdsql/jdbc/FBObjectListener.StatementListener.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FBObjectListener.StatementListener</span></a></li>
<li><a href="org/firebirdsql/jdbc/FBParameterMetaData.html" title="class in org.firebirdsql.jdbc">FBParameterMetaData</a></li>
<li><a href="org/firebirdsql/ds/FBPooledConnection.html" title="class in org.firebirdsql.ds">FBPooledConnection</a></li>
<li><a href="org/firebirdsql/jdbc/FBPreparedStatement.html" title="class in org.firebirdsql.jdbc">FBPreparedStatement</a></li>
<li><a href="org/firebirdsql/jdbc/FBProcedureCall.html" title="class in org.firebirdsql.jdbc">FBProcedureCall</a></li>
<li><a href="org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a></li>
<li><a href="org/firebirdsql/jca/FBResourceException.html" title="class in org.firebirdsql.jca">FBResourceException</a></li>
<li><a href="org/firebirdsql/jca/FBResourceTransactionException.html" title="class in org.firebirdsql.jca">FBResourceTransactionException</a></li>
<li><a href="org/firebirdsql/jdbc/FBResultSet.html" title="class in org.firebirdsql.jdbc">FBResultSet</a></li>
<li><a href="org/firebirdsql/jdbc/FBResultSetMetaData.html" title="class in org.firebirdsql.jdbc">FBResultSetMetaData</a></li>
<li><a href="org/firebirdsql/jdbc/FBResultSetNotUpdatableException.html" title="class in org.firebirdsql.jdbc">FBResultSetNotUpdatableException</a></li>
<li><a href="org/firebirdsql/jdbc/FBRowId.html" title="class in org.firebirdsql.jdbc">FBRowId</a></li>
<li><a href="org/firebirdsql/jdbc/FBRowUpdater.html" title="class in org.firebirdsql.jdbc">FBRowUpdater</a></li>
<li><a href="org/firebirdsql/jdbc/FBSavepoint.html" title="class in org.firebirdsql.jdbc">FBSavepoint</a></li>
<li><a href="org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">FbService</span></a></li>
<li><a href="org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">FBServiceManager</a></li>
<li><a href="org/firebirdsql/gds/ng/FbServiceProperties.html" title="class in org.firebirdsql.gds.ng">FbServiceProperties</a></li>
<li><a href="org/firebirdsql/ds/FBSimpleDataSource.html" title="class in org.firebirdsql.ds">FBSimpleDataSource</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/crypt/FBSQLEncryptException.html" title="class in org.firebirdsql.gds.ng.wire.crypt">FBSQLEncryptException</a></li>
<li><a href="org/firebirdsql/jdbc/FBSQLException.html" title="class in org.firebirdsql.jdbc">FBSQLException</a></li>
<li><a href="org/firebirdsql/jdbc/FBSQLExceptionInfo.html" title="class in org.firebirdsql.jdbc">FBSQLExceptionInfo</a></li>
<li><a href="org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></li>
<li><a href="org/firebirdsql/jca/FBStandAloneConnectionManager.html" title="class in org.firebirdsql.jca">FBStandAloneConnectionManager</a></li>
<li><a href="org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">FbStatement</span></a></li>
<li><a href="org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc">FBStatement</a></li>
<li><a href="org/firebirdsql/jdbc/FBStatement.StatementResult.html" title="enum in org.firebirdsql.jdbc">FBStatement.StatementResult</a></li>
<li><a href="org/firebirdsql/management/FBStatisticsManager.html" title="class in org.firebirdsql.management">FBStatisticsManager</a></li>
<li><a href="org/firebirdsql/management/FBStreamingBackupManager.html" title="class in org.firebirdsql.management">FBStreamingBackupManager</a></li>
<li><a href="org/firebirdsql/jca/FBTpb.html" title="class in org.firebirdsql.jca">FBTpb</a></li>
<li><a href="org/firebirdsql/jdbc/FBTpbMapper.html" title="class in org.firebirdsql.jdbc">FBTpbMapper</a></li>
<li><a href="org/firebirdsql/management/FBTraceManager.html" title="class in org.firebirdsql.management">FBTraceManager</a></li>
<li><a href="org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">FbTransaction</span></a></li>
<li><a href="org/firebirdsql/jdbc/FBUpdatableCursorFetcher.html" title="class in org.firebirdsql.jdbc">FBUpdatableCursorFetcher</a></li>
<li><a href="org/firebirdsql/management/FBUser.html" title="class in org.firebirdsql.management">FBUser</a></li>
<li><a href="org/firebirdsql/management/FBUserManager.html" title="class in org.firebirdsql.management">FBUserManager</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="interfaceName">FbWireAsynchronousChannel</span></a></li>
<li><a href="org/firebirdsql/gds/ng/wire/FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="interfaceName">FbWireAttachment</span></a></li>
<li><a href="org/firebirdsql/gds/ng/wire/FbWireAttachment.AcceptPacket.html" title="class in org.firebirdsql.gds.ng.wire">FbWireAttachment.AcceptPacket</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="interfaceName">FbWireBlob</span></a></li>
<li><a href="org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="interfaceName">FbWireDatabase</span></a></li>
<li><a href="org/firebirdsql/gds/ng/wire/FbWireDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.wire">FbWireDatabaseFactory</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/FbWireOperations.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="interfaceName">FbWireOperations</span></a></li>
<li><a href="org/firebirdsql/gds/ng/wire/FbWireOperations.ProcessAttachCallback.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="interfaceName">FbWireOperations.ProcessAttachCallback</span></a></li>
<li><a href="org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="interfaceName">FbWireService</span></a></li>
<li><a href="org/firebirdsql/gds/ng/wire/FbWireStatement.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="interfaceName">FbWireStatement</span></a></li>
<li><a href="org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="interfaceName">FbWireTransaction</span></a></li>
<li><a href="org/firebirdsql/jdbc/field/FBWorkaroundStringField.html" title="class in org.firebirdsql.jdbc.field">FBWorkaroundStringField</a></li>
<li><a href="org/firebirdsql/ds/FBXAConnection.html" title="class in org.firebirdsql.ds">FBXAConnection</a></li>
<li><a href="org/firebirdsql/ds/FBXADataSource.html" title="class in org.firebirdsql.ds">FBXADataSource</a></li>
<li><a href="org/firebirdsql/jca/FBXAException.html" title="class in org.firebirdsql.jca">FBXAException</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/FetchResponse.html" title="class in org.firebirdsql.gds.ng.wire">FetchResponse</a></li>
<li><a href="org/firebirdsql/jdbc/field/FieldDataProvider.html" title="interface in org.firebirdsql.jdbc.field"><span class="interfaceName">FieldDataProvider</span></a></li>
<li><a href="org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">FieldDescriptor</a></li>
<li><a href="org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FirebirdBlob</span></a></li>
<li><a href="org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FirebirdBlob.BlobInputStream</span></a></li>
<li><a href="org/firebirdsql/jdbc/FirebirdBlob.BlobOutputStream.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FirebirdBlob.BlobOutputStream</span></a></li>
<li><a href="org/firebirdsql/jdbc/FirebirdCallableStatement.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FirebirdCallableStatement</span></a></li>
<li><a href="org/firebirdsql/jdbc/FirebirdConnection.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FirebirdConnection</span></a></li>
<li><a href="org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FirebirdConnectionProperties</span></a></li>
<li><a href="org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FirebirdDatabaseMetaData</span></a></li>
<li><a href="org/firebirdsql/jdbc/FirebirdDriver.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FirebirdDriver</span></a></li>
<li><a href="org/firebirdsql/jca/FirebirdLocalTransaction.html" title="interface in org.firebirdsql.jca"><span class="interfaceName">FirebirdLocalTransaction</span></a></li>
<li><a href="org/firebirdsql/jdbc/FirebirdParameterMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FirebirdParameterMetaData</span></a></li>
<li><a href="org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FirebirdPreparedStatement</span></a></li>
<li><a href="org/firebirdsql/jdbc/FirebirdResultSet.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FirebirdResultSet</span></a></li>
<li><a href="org/firebirdsql/jdbc/FirebirdResultSetMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FirebirdResultSetMetaData</span></a></li>
<li><a href="org/firebirdsql/jdbc/FirebirdSavepoint.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FirebirdSavepoint</span></a></li>
<li><a href="org/firebirdsql/jdbc/FirebirdStatement.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">FirebirdStatement</span></a></li>
<li><a href="org/firebirdsql/util/FirebirdSupportInfo.html" title="class in org.firebirdsql.util">FirebirdSupportInfo</a></li>
<li><a href="org/firebirdsql/jna/fbclient/GDS_QUAD_t.html" title="class in org.firebirdsql.jna.fbclient">GDS_QUAD_t</a></li>
<li><a href="org/firebirdsql/jna/fbclient/GDS_QUAD_t.ByReference.html" title="class in org.firebirdsql.jna.fbclient">GDS_QUAD_t.ByReference</a></li>
<li><a href="org/firebirdsql/jna/fbclient/GDS_QUAD_t.ByValue.html" title="class in org.firebirdsql.jna.fbclient">GDS_QUAD_t.ByValue</a></li>
<li><a href="org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">GDSException</a></li>
<li><a href="org/firebirdsql/gds/GDSExceptionHelper.html" title="class in org.firebirdsql.gds">GDSExceptionHelper</a></li>
<li><a href="org/firebirdsql/gds/GDSExceptionHelper.GDSMessage.html" title="class in org.firebirdsql.gds">GDSExceptionHelper.GDSMessage</a></li>
<li><a href="org/firebirdsql/gds/impl/GDSFactory.html" title="class in org.firebirdsql.gds.impl">GDSFactory</a></li>
<li><a href="org/firebirdsql/gds/impl/GDSFactoryPlugin.html" title="interface in org.firebirdsql.gds.impl"><span class="interfaceName">GDSFactoryPlugin</span></a></li>
<li><a href="org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl">GDSHelper</a></li>
<li><a href="org/firebirdsql/gds/impl/GDSServerVersion.html" title="class in org.firebirdsql.gds.impl">GDSServerVersion</a></li>
<li><a href="org/firebirdsql/gds/impl/GDSServerVersionException.html" title="class in org.firebirdsql.gds.impl">GDSServerVersionException</a></li>
<li><a href="org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire">GenericResponse</a></li>
<li><a href="org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">IAttachProperties</span></a></li>
<li><a href="org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">IConnectionProperties</span></a></li>
<li><a href="org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings"><span class="interfaceName">IEncodingFactory</span></a></li>
<li><a href="org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">InfoProcessor</span></a></li>
<li><a href="org/firebirdsql/gds/ng/InfoProcessor.StatementInfo.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">InfoProcessor.StatementInfo</span></a></li>
<li><a href="org/firebirdsql/util/InternalApi.html" title="annotation in org.firebirdsql.util">InternalApi</a></li>
<li><a href="org/firebirdsql/jdbc/InternalTransactionCoordinator.html" title="class in org.firebirdsql.jdbc">InternalTransactionCoordinator</a></li>
<li><a href="org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html" title="class in org.firebirdsql.jdbc">InternalTransactionCoordinator.AbstractTransactionCoordinator</a></li>
<li><a href="org/firebirdsql/util/IOUtils.html" title="class in org.firebirdsql.util">IOUtils</a></li>
<li><a href="org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_BOUND</a></li>
<li><a href="org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.ByReference.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_BOUND.ByReference</a></li>
<li><a href="org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.ByValue.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_BOUND.ByValue</a></li>
<li><a href="org/firebirdsql/jna/fbclient/ISC_ARRAY_DESC.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_DESC</a></li>
<li><a href="org/firebirdsql/jna/fbclient/ISC_ARRAY_DESC.ByReference.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_DESC.ByReference</a></li>
<li><a href="org/firebirdsql/jna/fbclient/ISC_ARRAY_DESC.ByValue.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_DESC.ByValue</a></li>
<li><a href="org/firebirdsql/jna/fbclient/ISC_BLOB_DESC.html" title="class in org.firebirdsql.jna.fbclient">ISC_BLOB_DESC</a></li>
<li><a href="org/firebirdsql/jna/fbclient/ISC_BLOB_DESC.ByReference.html" title="class in org.firebirdsql.jna.fbclient">ISC_BLOB_DESC.ByReference</a></li>
<li><a href="org/firebirdsql/jna/fbclient/ISC_BLOB_DESC.ByValue.html" title="class in org.firebirdsql.jna.fbclient">ISC_BLOB_DESC.ByValue</a></li>
<li><a href="org/firebirdsql/jna/fbclient/ISC_STATUS.html" title="class in org.firebirdsql.jna.fbclient">ISC_STATUS</a></li>
<li><a href="org/firebirdsql/jna/fbclient/ISC_TIMESTAMP.html" title="class in org.firebirdsql.jna.fbclient">ISC_TIMESTAMP</a></li>
<li><a href="org/firebirdsql/jna/fbclient/ISC_TIMESTAMP.ByReference.html" title="class in org.firebirdsql.jna.fbclient">ISC_TIMESTAMP.ByReference</a></li>
<li><a href="org/firebirdsql/jna/fbclient/ISC_TIMESTAMP.ByValue.html" title="class in org.firebirdsql.jna.fbclient">ISC_TIMESTAMP.ByValue</a></li>
<li><a href="org/firebirdsql/gds/ISCConstants.html" title="interface in org.firebirdsql.gds"><span class="interfaceName">ISCConstants</span></a></li>
<li><a href="org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">IServiceProperties</span></a></li>
<li><a href="org/firebirdsql/jdbc/JavaTypeNameConstants.html" title="class in org.firebirdsql.jdbc">JavaTypeNameConstants</a></li>
<li><a href="org/firebirdsql/gds/JaybirdErrorCodes.html" title="interface in org.firebirdsql.gds"><span class="interfaceName">JaybirdErrorCodes</span></a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlBaseListener.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlBaseListener</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlLexer</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlListener.html" title="interface in org.firebirdsql.jdbc.parser"><span class="interfaceName">JaybirdSqlListener</span></a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.AliasContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.AliasContext</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.ColumnNameContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ColumnNameContext</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.DeleteStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.DeleteStatementContext</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.FullIdentifierContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.FullIdentifierContext</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.InsertStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.InsertStatementContext</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.MergeStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.MergeStatementContext</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.ReturningClauseContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ReturningClauseContext</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.ReturningColumnListContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ReturningColumnListContext</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.SimpleIdentifierContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.SimpleIdentifierContext</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.SimpleValueContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.SimpleValueContext</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.StatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.StatementContext</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.TableNameContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.TableNameContext</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.UpdateOrInsertStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.UpdateOrInsertStatementContext</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.UpdateStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.UpdateStatementContext</a></li>
<li><a href="org/firebirdsql/jdbc/parser/JaybirdStatementModel.html" title="class in org.firebirdsql.jdbc.parser">JaybirdStatementModel</a></li>
<li><a href="org/firebirdsql/gds/JaybirdSystemProperties.html" title="class in org.firebirdsql.gds">JaybirdSystemProperties</a></li>
<li><a href="org/firebirdsql/jdbc/JaybirdType.html" title="enum in org.firebirdsql.jdbc">JaybirdType</a></li>
<li><a href="org/firebirdsql/jdbc/JaybirdTypeCodes.html" title="class in org.firebirdsql.jdbc">JaybirdTypeCodes</a></li>
<li><a href="org/firebirdsql/jdbc/field/JDBC42ObjectConverter.html" title="class in org.firebirdsql.jdbc.field">JDBC42ObjectConverter</a></li>
<li><a href="org/firebirdsql/jdbc/Jdbc42VersionSupport.html" title="class in org.firebirdsql.jdbc">Jdbc42VersionSupport</a></li>
<li><a href="org/firebirdsql/jdbc/field/JdbcTypeConverter.html" title="class in org.firebirdsql.jdbc.field">JdbcTypeConverter</a></li>
<li><a href="org/firebirdsql/jdbc/JdbcVersionSupport.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">JdbcVersionSupport</span></a></li>
<li><a href="org/firebirdsql/jdbc/JdbcVersionSupportHolder.html" title="enum in org.firebirdsql.jdbc">JdbcVersionSupportHolder</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/JnaAttachment.html" title="interface in org.firebirdsql.gds.ng.jna"><span class="interfaceName">JnaAttachment</span></a></li>
<li><a href="org/firebirdsql/gds/ng/jna/JnaBlob.html" title="class in org.firebirdsql.gds.ng.jna">JnaBlob</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/JnaConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaConnection</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/JnaDatabase.html" title="class in org.firebirdsql.gds.ng.jna">JnaDatabase</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/JnaDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaDatabaseConnection</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/JnaEventHandle.html" title="class in org.firebirdsql.gds.ng.jna">JnaEventHandle</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/JnaParameterConverter.html" title="class in org.firebirdsql.gds.ng.jna">JnaParameterConverter</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/JnaService.html" title="class in org.firebirdsql.gds.ng.jna">JnaService</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/JnaServiceConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaServiceConnection</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/JnaStatement.html" title="class in org.firebirdsql.gds.ng.jna">JnaStatement</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/JnaTransaction.html" title="class in org.firebirdsql.gds.ng.jna">JnaTransaction</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/crypt/KnownServerKey.html" title="class in org.firebirdsql.gds.ng.wire.crypt">KnownServerKey</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/auth/legacy/LegacyAuthenticationPluginSpi.html" title="class in org.firebirdsql.gds.ng.wire.auth.legacy">LegacyAuthenticationPluginSpi</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html" title="class in org.firebirdsql.gds.ng.jna">LittleEndianDatatypeCoder</a></li>
<li><a href="org/firebirdsql/gds/impl/jni/LocalGDSFactoryPlugin.html" title="class in org.firebirdsql.gds.impl.jni">LocalGDSFactoryPlugin</a></li>
<li><a href="org/firebirdsql/logging/Logger.html" title="interface in org.firebirdsql.logging"><span class="interfaceName">Logger</span></a></li>
<li><a href="org/firebirdsql/logging/LoggerFactory.html" title="class in org.firebirdsql.logging">LoggerFactory</a></li>
<li><a href="org/firebirdsql/management/MaintenanceManager.html" title="interface in org.firebirdsql.management"><span class="interfaceName">MaintenanceManager</span></a></li>
<li><a href="org/firebirdsql/gds/impl/jni/NativeGDSFactoryPlugin.html" title="class in org.firebirdsql.gds.impl.jni">NativeGDSFactoryPlugin</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/NativeLibraryLoadException.html" title="class in org.firebirdsql.gds.ng.jna">NativeLibraryLoadException</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/NativeResourceTracker.html" title="class in org.firebirdsql.gds.ng.jna">NativeResourceTracker</a></li>
<li><a href="org/firebirdsql/gds/ng/jna/NativeResourceUnloadWebListener.html" title="class in org.firebirdsql.gds.ng.jna">NativeResourceUnloadWebListener</a></li>
<li><a href="org/firebirdsql/management/NBackupManager.html" title="interface in org.firebirdsql.management"><span class="interfaceName">NBackupManager</span></a></li>
<li><a href="org/firebirdsql/gds/impl/argument/NumericArgument.html" title="class in org.firebirdsql.gds.impl.argument">NumericArgument</a></li>
<li><a href="org/firebirdsql/util/NumericHelper.html" title="class in org.firebirdsql.util">NumericHelper</a></li>
<li><a href="org/firebirdsql/gds/impl/oo/OOGDSFactoryPlugin.html" title="class in org.firebirdsql.gds.impl.oo">OOGDSFactoryPlugin</a></li>
<li><a href="org/firebirdsql/extern/decimal/OverflowHandling.html" title="enum in org.firebirdsql.extern.decimal">OverflowHandling</a></li>
<li><a href="org/firebirdsql/management/PageSizeConstants.html" title="class in org.firebirdsql.management">PageSizeConstants</a></li>
<li><a href="org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds"><span class="interfaceName">Parameter</span></a></li>
<li><a href="org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="interfaceName">ParameterBuffer</span></a></li>
<li><a href="org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">ParameterBufferBase</a></li>
<li><a href="org/firebirdsql/gds/ParameterBufferHelper.html" title="class in org.firebirdsql.gds">ParameterBufferHelper</a></li>
<li><a href="org/firebirdsql/gds/ParameterBufferHelper.DpbParameterType.html" title="class in org.firebirdsql.gds">ParameterBufferHelper.DpbParameterType</a></li>
<li><a href="org/firebirdsql/gds/ParameterBufferHelper.DpbValueType.html" title="enum in org.firebirdsql.gds">ParameterBufferHelper.DpbValueType</a></li>
<li><a href="org/firebirdsql/gds/impl/ParameterBufferMetaData.html" title="interface in org.firebirdsql.gds.impl"><span class="interfaceName">ParameterBufferMetaData</span></a></li>
<li><a href="org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">ParameterConverter</span></a></li>
<li><a href="org/firebirdsql/gds/ParameterTagMapping.html" title="enum in org.firebirdsql.gds">ParameterTagMapping</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/ProtocolCollection.html" title="class in org.firebirdsql.gds.ng.wire">ProtocolCollection</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="interfaceName">ProtocolDescriptor</span></a></li>
<li><a href="org/firebirdsql/jdbc/QuoteStrategy.html" title="enum in org.firebirdsql.jdbc">QuoteStrategy</a></li>
<li><a href="org/firebirdsql/util/ReflectionHelper.html" title="class in org.firebirdsql.util">ReflectionHelper</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="interfaceName">Response</span></a></li>
<li><a href="org/firebirdsql/ds/RootCommonDataSource.html" title="class in org.firebirdsql.ds">RootCommonDataSource</a></li>
<li><a href="org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a></li>
<li><a href="org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></li>
<li><a href="org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a></li>
<li><a href="org/firebirdsql/gds/ng/fields/RowValueBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowValueBuilder</a></li>
<li><a href="org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><span class="interfaceName">ServiceListener</span></a></li>
<li><a href="org/firebirdsql/gds/ng/listeners/ServiceListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">ServiceListenerDispatcher</a></li>
<li><a href="org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management"><span class="interfaceName">ServiceManager</span></a></li>
<li><a href="org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="interfaceName">ServiceParameterBuffer</span></a></li>
<li><a href="org/firebirdsql/gds/impl/ServiceParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">ServiceParameterBufferImp</a></li>
<li><a href="org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceParameterBufferImp.SpbMetaData</a></li>
<li><a href="org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds"><span class="interfaceName">ServiceRequestBuffer</span></a></li>
<li><a href="org/firebirdsql/gds/impl/ServiceRequestBufferImp.html" title="class in org.firebirdsql.gds.impl">ServiceRequestBufferImp</a></li>
<li><a href="org/firebirdsql/gds/impl/ServiceRequestBufferImp.SrbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceRequestBufferImp.SrbMetaData</a></li>
<li><a href="org/firebirdsql/extern/decimal/Signum.html" title="class in org.firebirdsql.extern.decimal">Signum</a></li>
<li><a href="org/firebirdsql/gds/impl/argument/SingleItem.html" title="class in org.firebirdsql.gds.impl.argument">SingleItem</a></li>
<li><a href="org/firebirdsql/gds/ng/SqlCountHolder.html" title="class in org.firebirdsql.gds.ng">SqlCountHolder</a></li>
<li><a href="org/firebirdsql/gds/ng/SqlCountProcessor.html" title="class in org.firebirdsql.gds.ng">SqlCountProcessor</a></li>
<li><a href="org/firebirdsql/util/SQLExceptionChainBuilder.html" title="class in org.firebirdsql.util">SQLExceptionChainBuilder</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/SqlResponse.html" title="class in org.firebirdsql.gds.ng.wire">SqlResponse</a></li>
<li><a href="org/firebirdsql/jdbc/SQLStateConstants.html" title="class in org.firebirdsql.jdbc">SQLStateConstants</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/auth/srp/Srp224AuthenticationPluginSpi.html" title="class in org.firebirdsql.gds.ng.wire.auth.srp">Srp224AuthenticationPluginSpi</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/auth/srp/Srp256AuthenticationPluginSpi.html" title="class in org.firebirdsql.gds.ng.wire.auth.srp">Srp256AuthenticationPluginSpi</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/auth/srp/Srp384AuthenticationPluginSpi.html" title="class in org.firebirdsql.gds.ng.wire.auth.srp">Srp384AuthenticationPluginSpi</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/auth/srp/Srp512AuthenticationPluginSpi.html" title="class in org.firebirdsql.gds.ng.wire.auth.srp">Srp512AuthenticationPluginSpi</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/auth/srp/SrpAuthenticationPluginSpi.html" title="class in org.firebirdsql.gds.ng.wire.auth.srp">SrpAuthenticationPluginSpi</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/auth/srp/SrpClient.html" title="class in org.firebirdsql.gds.ng.wire.auth.srp">SrpClient</a></li>
<li><a href="org/firebirdsql/gds/ng/StatementInfoProcessor.html" title="class in org.firebirdsql.gds.ng">StatementInfoProcessor</a></li>
<li><a href="org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><span class="interfaceName">StatementListener</span></a></li>
<li><a href="org/firebirdsql/gds/ng/listeners/StatementListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">StatementListenerDispatcher</a></li>
<li><a href="org/firebirdsql/jdbc/parser/StatementParser.html" title="interface in org.firebirdsql.jdbc.parser"><span class="interfaceName">StatementParser</span></a></li>
<li><a href="org/firebirdsql/jdbc/parser/StatementParser.ParseException.html" title="class in org.firebirdsql.jdbc.parser">StatementParser.ParseException</a></li>
<li><a href="org/firebirdsql/jdbc/parser/StatementParserImpl.html" title="class in org.firebirdsql.jdbc.parser">StatementParserImpl</a></li>
<li><a href="org/firebirdsql/gds/ng/StatementState.html" title="enum in org.firebirdsql.gds.ng">StatementState</a></li>
<li><a href="org/firebirdsql/gds/ng/StatementType.html" title="enum in org.firebirdsql.gds.ng">StatementType</a></li>
<li><a href="org/firebirdsql/gds/ng/dbcrypt/simple/StaticValueDbCryptCallback.html" title="class in org.firebirdsql.gds.ng.dbcrypt.simple">StaticValueDbCryptCallback</a></li>
<li><a href="org/firebirdsql/gds/ng/dbcrypt/simple/StaticValueDbCryptCallbackSpi.html" title="class in org.firebirdsql.gds.ng.dbcrypt.simple">StaticValueDbCryptCallbackSpi</a></li>
<li><a href="org/firebirdsql/management/StatisticsManager.html" title="interface in org.firebirdsql.management"><span class="interfaceName">StatisticsManager</span></a></li>
<li><a href="org/firebirdsql/management/StatisticsManager.DatabaseTransactionInfo.html" title="class in org.firebirdsql.management">StatisticsManager.DatabaseTransactionInfo</a></li>
<li><a href="org/firebirdsql/jdbc/StoredProcedureMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">StoredProcedureMetaData</span></a></li>
<li><a href="org/firebirdsql/jdbc/StoredProcedureMetaDataFactory.html" title="class in org.firebirdsql.jdbc">StoredProcedureMetaDataFactory</a></li>
<li><a href="org/firebirdsql/gds/impl/argument/StringArgument.html" title="class in org.firebirdsql.gds.impl.argument">StringArgument</a></li>
<li><a href="org/firebirdsql/util/StringUtils.html" title="class in org.firebirdsql.util">StringUtils</a></li>
<li><a href="org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc"><span class="interfaceName">Synchronizable</span></a></li>
<li><a href="org/firebirdsql/gds/ng/SyncObject.html" title="class in org.firebirdsql.gds.ng">SyncObject</a></li>
<li><a href="org/firebirdsql/gds/ng/tz/TimeZoneDatatypeCoder.html" title="class in org.firebirdsql.gds.ng.tz">TimeZoneDatatypeCoder</a></li>
<li><a href="org/firebirdsql/gds/ng/tz/TimeZoneMapping.html" title="class in org.firebirdsql.gds.ng.tz">TimeZoneMapping</a></li>
<li><a href="org/firebirdsql/management/TraceManager.html" title="interface in org.firebirdsql.management"><span class="interfaceName">TraceManager</span></a></li>
<li><a href="org/firebirdsql/gds/ng/TransactionHelper.html" title="class in org.firebirdsql.gds.ng">TransactionHelper</a></li>
<li><a href="org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><span class="interfaceName">TransactionListener</span></a></li>
<li><a href="org/firebirdsql/gds/ng/listeners/TransactionListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">TransactionListenerDispatcher</a></li>
<li><a href="org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="interfaceName">TransactionParameterBuffer</span></a></li>
<li><a href="org/firebirdsql/gds/impl/TransactionParameterBufferImpl.html" title="class in org.firebirdsql.gds.impl">TransactionParameterBufferImpl</a></li>
<li><a href="org/firebirdsql/gds/impl/TransactionParameterBufferImpl.TpbMetaData.html" title="enum in org.firebirdsql.gds.impl">TransactionParameterBufferImpl.TpbMetaData</a></li>
<li><a href="org/firebirdsql/gds/ng/TransactionState.html" title="enum in org.firebirdsql.gds.ng">TransactionState</a></li>
<li><a href="org/firebirdsql/jdbc/field/TypeConversionException.html" title="class in org.firebirdsql.jdbc.field">TypeConversionException</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/auth/legacy/UnixCrypt.html" title="class in org.firebirdsql.gds.ng.wire.auth.legacy">UnixCrypt</a></li>
<li><a href="org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management"><span class="interfaceName">User</span></a></li>
<li><a href="org/firebirdsql/jna/fbclient/USER_SEC_DATA.html" title="class in org.firebirdsql.jna.fbclient">USER_SEC_DATA</a></li>
<li><a href="org/firebirdsql/jna/fbclient/USER_SEC_DATA.ByReference.html" title="class in org.firebirdsql.jna.fbclient">USER_SEC_DATA.ByReference</a></li>
<li><a href="org/firebirdsql/jna/fbclient/USER_SEC_DATA.ByValue.html" title="class in org.firebirdsql.jna.fbclient">USER_SEC_DATA.ByValue</a></li>
<li><a href="org/firebirdsql/management/UserManager.html" title="interface in org.firebirdsql.management"><span class="interfaceName">UserManager</span></a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10AsynchronousChannel</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version10/V10Database.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10Database</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version10/V10InputBlob.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10InputBlob</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version10/V10OutputBlob.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10OutputBlob</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version10/V10ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10ParameterConverter</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version10/V10Service.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10Service</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version10/V10Statement.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10Statement</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version10/V10Transaction.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10Transaction</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version10/V10WireOperations.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10WireOperations</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version11/V11Database.html" title="class in org.firebirdsql.gds.ng.wire.version11">V11Database</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version11/V11ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version11">V11ParameterConverter</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version11/V11Statement.html" title="class in org.firebirdsql.gds.ng.wire.version11">V11Statement</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version11/V11WireOperations.html" title="class in org.firebirdsql.gds.ng.wire.version11">V11WireOperations</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version12/V12Database.html" title="class in org.firebirdsql.gds.ng.wire.version12">V12Database</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version12/V12ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version12">V12ParameterConverter</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version12/V12Statement.html" title="class in org.firebirdsql.gds.ng.wire.version12">V12Statement</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version13/V13Database.html" title="class in org.firebirdsql.gds.ng.wire.version13">V13Database</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version13/V13ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version13">V13ParameterConverter</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version13/V13Statement.html" title="class in org.firebirdsql.gds.ng.wire.version13">V13Statement</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version13/V13WireOperations.html" title="class in org.firebirdsql.gds.ng.wire.version13">V13WireOperations</a></li>
<li><a href="org/firebirdsql/gds/VaxEncoding.html" title="class in org.firebirdsql.gds">VaxEncoding</a></li>
<li><a href="org/firebirdsql/jaybird/Version.html" title="class in org.firebirdsql.jaybird">Version</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version10/Version10Descriptor.html" title="class in org.firebirdsql.gds.ng.wire.version10">Version10Descriptor</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version11/Version11Descriptor.html" title="class in org.firebirdsql.gds.ng.wire.version11">Version11Descriptor</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html" title="class in org.firebirdsql.gds.ng.wire.version12">Version12Descriptor</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/version13/Version13Descriptor.html" title="class in org.firebirdsql.gds.ng.wire.version13">Version13Descriptor</a></li>
<li><a href="org/firebirdsql/util/Volatile.html" title="annotation in org.firebirdsql.util">Volatile</a></li>
<li><a href="org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng"><span class="interfaceName">WarningMessageCallback</span></a></li>
<li><a href="org/firebirdsql/jna/fbclient/WinFbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient"><span class="interfaceName">WinFbClientLibrary</span></a></li>
<li><a href="org/firebirdsql/jna/fbclient/WinFbClientLibrary.FbShutdownStdCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="interfaceName">WinFbClientLibrary.FbShutdownStdCallback</span></a></li>
<li><a href="org/firebirdsql/jna/fbclient/WinFbClientLibrary.IscEventStdCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="interfaceName">WinFbClientLibrary.IscEventStdCallback</span></a></li>
<li><a href="org/firebirdsql/gds/ng/wire/WireConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireConnection</a></li>
<li><a href="org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/WireEventHandle.html" title="class in org.firebirdsql.gds.ng.wire">WireEventHandle</a></li>
<li><a href="org/firebirdsql/gds/impl/wire/WireGDSFactoryPlugin.html" title="class in org.firebirdsql.gds.impl.wire">WireGDSFactoryPlugin</a></li>
<li><a href="org/firebirdsql/gds/impl/wire/WireProtocolConstants.html" title="interface in org.firebirdsql.gds.impl.wire"><span class="interfaceName">WireProtocolConstants</span></a></li>
<li><a href="org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a></li>
<li><a href="org/firebirdsql/ds/XAConnectionHandler.html" title="class in org.firebirdsql.ds">XAConnectionHandler</a></li>
<li><a href="org/firebirdsql/gds/impl/wire/Xdrable.html" title="interface in org.firebirdsql.gds.impl.wire"><span class="interfaceName">Xdrable</span></a></li>
<li><a href="org/firebirdsql/gds/impl/wire/XdrInputStream.html" title="class in org.firebirdsql.gds.impl.wire">XdrInputStream</a></li>
<li><a href="org/firebirdsql/gds/impl/wire/XdrOutputStream.html" title="class in org.firebirdsql.gds.impl.wire">XdrOutputStream</a></li>
<li><a href="org/firebirdsql/gds/ng/wire/XdrStreamAccess.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="interfaceName">XdrStreamAccess</span></a></li>
<li><a href="org/firebirdsql/jna/fbclient/XSQLDA.html" title="class in org.firebirdsql.jna.fbclient">XSQLDA</a></li>
<li><a href="org/firebirdsql/jna/fbclient/XSQLDA.ByReference.html" title="class in org.firebirdsql.jna.fbclient">XSQLDA.ByReference</a></li>
<li><a href="org/firebirdsql/jna/fbclient/XSQLDA.ByValue.html" title="class in org.firebirdsql.jna.fbclient">XSQLDA.ByValue</a></li>
<li><a href="org/firebirdsql/jna/fbclient/XSQLVAR.html" title="class in org.firebirdsql.jna.fbclient">XSQLVAR</a></li>
<li><a href="org/firebirdsql/jna/fbclient/XSQLVAR.ByReference.html" title="class in org.firebirdsql.jna.fbclient">XSQLVAR.ByReference</a></li>
<li><a href="org/firebirdsql/jna/fbclient/XSQLVAR.ByValue.html" title="class in org.firebirdsql.jna.fbclient">XSQLVAR.ByValue</a></li>
</ul>
</div>
</body>
</html>
